A stack-based buffer overflow vulnerability was found in the ASUSTOR Data Master (ADM) due to the lack of data size validation. An attacker can exploit this vulnerability to execute arbitrary code. Affected ADM versions include: 4.0.6.REG2, 4.1.0 and below as well as 4.2.0.RE71 and below.
Published 2023-04-17 07:15:08
Updated 2023-05-04 05:15:22
Source ASUSTOR, Inc.
View at NVD,   CVE.org
Vulnerability category: OverflowMemory CorruptionExecute code

Exploit prediction scoring system (EPSS) score for CVE-2023-30770

0.28%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 68 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2023-30770

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
9.8
CRITICAL CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
3.9
5.9
NIST
7.1
HIGH CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:H/A:H
1.6
5.5
ASUSTOR, Inc.

CWE ids for CVE-2023-30770

  • The product writes data past the end, or before the beginning, of the intended buffer.
    Assigned by:
    • nvd@nist.gov (Primary)
    • security@asustor.com (Secondary)

References for CVE-2023-30770

Products affected by CVE-2023-30770

  • Asustor » ADM
    Versions from including (>=) 4.0.0.rib4 and up to, including, (<=) 4.0.6.reg2
    cpe:2.3:a:asustor:adm:*:*:*:*:*:*:*:*
  • Asustor » ADM
    Versions from including (>=) 4.1.0.rhu2 and before (<) 4.2.1.rge2
    cpe:2.3:a:asustor:adm:*:*:*:*:*:*:*:*
This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!